  /*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {

      if (getDeviceType() == 'ios') StatusBar.hide();

      var offline   = document.querySelector('#device-offline'),
          loader    = document.querySelector('#loader');

      if (!navigator.onLine || navigator.network.connection.type == Connection.NONE) {
          offline.style.display   = 'block';
          loader.style.display    = 'none';
      } else {
          loader.style.display  = 'block';

          var opts = {
            lines: 9,
            length: 7,
            width:  3,
            radius: 10,
            corners: 1,
            rotate: 10,
            direction: 1,
            color: '#33abdf',
            speed: 0.8,
            trail: 71,
            shadow: false,
            hwaccel: false,
            className: 'spinner',
            zIndex: 29,
            top: '50%',
            left: '50%'
          };

          var target = document.getElementById('loader');
          var spinner = new Spinner(opts).spin(target);
          // window.location = "http://192.168.1.211/filmannex/?app=" + getDeviceType() + "&version=2.1&connection=" + getConnectionType() + "&time=" + (Math.floor(Math.random() * (99999999 - 0)) + 0);
          window.location = "http://www.bitlanders.com/?app=" + getDeviceType() + "&version=2.1&connection=" + getConnectionType();
        }   
    }
};

var getDeviceType = function() {
  return device.platform.toLowerCase();
}

var getConnectionType = function() {
  var networkState = navigator.connection.type;

  var states = {};

  states[Connection.UNKNOWN]  = 'unknown';
  states[Connection.ETHERNET] = 'ethernet';
  states[Connection.WIFI]     = 'wifi';
  states[Connection.CELL_2G]  = '2G';
  states[Connection.CELL_3G]  = '3G';
  states[Connection.CELL_4G]  = '4G';
  states[Connection.NONE]     = 'none';

  return states[networkState];
}